Skip to navigation
EventsList events

List events

Required permissions Beta Learn more

Event + List

Roles: Administrator User Observer

Returns the list of events, filtered, sorted and paged according to query parameters.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Query parameters

pageintegerOptional
Current page number
per_pageintegerOptional
Defines the number of items per page
sortstringOptional

Sort properties according to a comma separated list of accepted fields. Valid fields are:

  • id - (event id)
  • timestamp - (event timestamp)
  • source - (event source)
  • severity - (event severity)
  • alert - (alert status)
  • organisation - (organisation name)
  • user - (user id)
  • endpoint - (endpoint name)
  • tags - (endpoint tags)
  • ip_address - (endpoint ip_address)
  • iccid - (sim iccid)
  • imsi - (sim imsi)
  • type - (event type)
qstringOptionalformat: "(from|until|type|source|severity|alert|description|organisation|user|endpoint|tags|tag_id|ip_address|imei|iccid|iccid_with_luhn|imsi|timestamp|network|rat|country):.+"

Filter parameter in <filter>:<value> format. Multiple filters must be a comma-separated list of the following fields:

  • from (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with until)
  • until (date, format YYYY-MM-DDTHH:mm:ssZ, only valid with from)
  • type (event_type, numerical)
  • source (event_type, numerical, e.g. 0 = Network), 1 = Policy Control, 2 = API)
  • severity (event_severity, numerical, e.g. 0 = Info, 1 = Warn), 2 = Critical)
  • alert (boolean, e.g. true, false)
  • description (event description, string)
  • organisation (organisation name, string)
  • user (user name, string)
  • endpoint (endpoint name, string)
  • tags (endpoint tags, string)
  • tag_id (endpoint tag ID, numerical, matches events whose endpoint has the tag. Tag IDs are listed in the endpoint's tag_assignments)
  • ip_address (endpoint IP address, valid IPv4/IPv6 address)
  • imei (endpoint imei, numerical string)
  • iccid (sim iccid, numerical string)
  • imsi (sim imsi, numerical string)
  • timestamp (date, format YYYY-MM-DDTHH:mm:ssZ, for querying events of 1 day, deprecated in future)
  • iccid_with_luhn (sim iccid with Luhn, numerical string)
  • network (endpoint network, string, e.g. Telekom)
  • rat (event pdp context rat type, numerical string, e.g. 6)
  • country (endpoint country, string, e.g. Germany)

Some filters can accept up to 6 values which must be separated by the pipe symbol (|) or url-encoded as (%7C):

  • iccid (q: iccid:1234567890123456789|8988303000123456789)
  • iccid_with_luhn (q: iccid:12345678901234567891|89883030001234567891)
  • endpoint (q: endpoint:example_endpoint_name|another_endpoint_name)
  • type (q: type:example_event_type|another_event_type)
  • network (q: network:example_network|another_network)
  • rat (q: rat:example_rat|another_rat)
  • country (q: country:example_country|another_country)
  • tag_id (q: tag_id:7|12, matches events whose endpoint has any of the tags)

Response headers

x-count-per-pageintegerOptional

The requested per_page parameter

x-current-pageintegerOptional
The current page number within the current data set
x-total-countintegerOptional
The total element count in the current data set
x-total-pagesintegerOptional
The total page count in the current data set
x-filterstringOptional

If filtering is applied using ?q=field:criteria URL query parameters, the filter criteria is returned here

x-sortstringOptional

If sorting is applied using ?sort=sort_criteria URL query parameters, the sort criteria is returned here

Response

Successfully returned a list of events
idintegerOptional
alertbooleanOptional
descriptionstringOptional
timestampstringOptional
event_typeobjectOptional
event_sourceobjectOptional
event_severityobjectOptional
organisationobjectOptional
userobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error